package com.ruoyi.task.businessRecord;

import com.ruoyi.ss.businessRecord.service.ISmBusinessRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author wjh
 * 2024/3/19
 */
@Component("businessRecordTask")
public class BusinessRecordTask {

    @Autowired
    private ISmBusinessRecordService smBusinessRecordService;

    public void record() throws InterruptedException {
        smBusinessRecordService.record();
        Thread.sleep(3000); // 睡眠3秒，防止quartz重复调度
    }

}
